Package: groovy.swing.binding

## [Groovy] Class JListElementsBinding

- groovy.swing.binding.JListElementsBinding

- All Implemented Interfaces and Traits:
    ListDataListener, PropertyChangeListener

      class JListElementsBinding
      extends AbstractSyntheticBinding

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractFullBinding` | `converter, reverseConverter, sourceBinding, targetBinding, validator`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `JList` | `boundList`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JListElementsBinding (PropertyBinding propertyBinding, TargetBinding target)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `contentsChanged(ListDataEvent e)`
    `` | `void` | `intervalAdded(ListDataEvent e)`
    `` | `void` | `intervalRemoved(ListDataEvent e)`
    `` | `void` | `propertyChange(PropertyChangeEvent event)`
    `` | `protected void` | `syntheticBind()`
    `` | `protected void` | `syntheticUnbind()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractSyntheticBinding` | `bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind`
    `class AbstractFullBinding` | `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

- - ### Property Detail

    - #### JList boundList

  - ### Constructor Detail

    - #### JListElementsBinding(PropertyBinding propertyBinding, TargetBinding target)

  - ### Method Detail

    - #### void contentsChanged(ListDataEvent e)

    - #### void intervalAdded(ListDataEvent e)

    - #### void intervalRemoved(ListDataEvent e)

    - #### void propertyChange(PropertyChangeEvent event)

    - #### protected void syntheticBind()

    - #### protected void syntheticUnbind()